Page MenuHomePhabricator

Facilitate deployment of the visual editor at the Japanese Wikipedia
Closed, ResolvedPublic8 Story Points

Description

During the last months, several announcements have been delivered there about the upcoming deployment of the visual editor.
After soliciting feedback for months, https://phabricator.wikimedia.org/T109818 was resolved.
The last round of feedback (from en.wp editors who know Japanese) has also been positive.
I posted several notes to "village pumps" and users' talk pages last week.
The main announcement, which includes instructions about the single edit tab system, has been translated.

Event Timeline

Elitre created this task.May 2 2016, 6:25 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 2 2016, 6:26 AM
Elitre triaged this task as High priority.May 2 2016, 6:29 AM

Next steps:

  1. drafting a short notice for noticeboard and editnotice, as suggested by a community member;
  2. linking to the local, quick-help page that Miya wrote;
  3. moving the latest announcement from the April archive where it ended up automatically to the current page.
Elitre added a comment.May 3 2016, 2:18 PM

All of the above has been solved, thanks to Miya's help.

Data point: 4682 registered editors made 70k edits last week; 5445 IPs made 25k edits. Hence, @Jdforrester-WMF, I'd like to request a staged rollout (IPs later, separately from everybody else). Thanks.

Rxy added a subscriber: Rxy.May 4 2016, 8:25 AM
Jdforrester-WMF set the point value for this task to 8.May 10 2016, 1:28 AM

We have agreed that the rollout starts on Wednesday 11th when it's morning in Japan, and it affects registered editors this time.
All of this has been communicated to the community, in addition to highlighting the useful fix for launching WT or VE from keyboard shortcuts.
Thanks @Trizek-WMF for your help in watching the situation during these weeks!

Elitre closed this task as Resolved.May 23 2016, 7:56 AM

I think work from now on is regular maintenance.

Qgil awarded a token.May 23 2016, 8:36 AM
Elitre added a parent task: Unknown Object (Task).May 31 2016, 9:37 AM